optional.hpp File Reference
`#include "msgpack/versioning.hpp"`
`#include "msgpack/adaptor/adaptor_base.hpp"`
`#include "msgpack/adaptor/check_container_size.hpp"`
`#include <boost/optional.hpp>`

Go to the source code of this file.

## Classes

struct | msgpack::adaptor::as< boost::optional< T >, typename std::enable_if< msgpack::has_as< T >::value >::type >
struct | msgpack::adaptor::convert< boost::optional< T > >
struct | msgpack::adaptor::pack< boost::optional< T > >
struct | msgpack::adaptor::object< boost::optional< T > >
struct | msgpack::adaptor::object_with_zone< boost::optional< T > >

## Namespaces

| msgpack
| msgpack::adaptor